
<div>
    <div style="top:100px;" class="nextDossierInfo" ng-if="!pesViewer.isInit && !pesViewer.isError">
            <span class="text text-info">
                {{'Admin.Avance.getting_infos' | translate}}
            </span>
        <span style="position: relative; width: 0px; z-index: 2000000000; right: 140px; top: 100px;" us-spinner="{radius:20, width:8, length: 16}" ></span>
    </div>
    <div class="col-md-12" ng-if="pesViewer.isError">
        <div class="row">
            <div class="alert alert-danger">Erreur d'authentification au service, merci de vérifier le token d'authentification dans le fichier de propriétés 'iparapheur-global.properties'</div>
        </div>
    </div>
    <div class="col-md-12" ng-if="pesViewer.isInit">
        <h2>Service Visionneuse PESv2</h2>
        <div class="row">
            <div class="col-md-12">
                <h4>
                    État du service :
                    <span class="label label-success" ng-if="pesViewer.status != undefined">Actif</span>
                    <span class="label label-danger" ng-if="pesViewer.status == undefined">Inactif</span>
                </h4>
                <hr/>
            </div>
            <div class="text text-info fa-2x" ng-if="pesViewer.state.updating">
                <i class="fa fa-refresh fa-spin"></i>
                Mise à jour en cours ... Veuillez patienter
            </div>
            <div class="col-md-4" ng-if="!pesViewer.state.updating" style="border-right: 1px solid #eee;">


                <section class="child-margin">
                    <h4>Version : {{pesViewer.status.currentVersion}}</h4>

                    <div ng-if="pesViewer.status.currentVersion != pesViewer.status.latestVersion" class="alert alert-info helper-inline-block">
                        Mise à jour disponible ({{pesViewer.status.latestVersion}})
                        <span ng-click="pesViewer.doupdate()" class="btn btn-info" ng-disabled="pesViewer.state.updating">
                            <i class="fa fa-refresh" ng-class="pesViewer.state.updating ? 'fa-spin' : ''"></i>
                            Mettre à jour
                        </span>
                    </div>
                    <div>
                        <label class="flex-centered">
                            <span>Mise à jour automatique : </span>
                            <i class="fa fa-2x" ng-class="pesViewer.status.autoUpdateEnabled ? 'fa-toggle-on text-success' : 'fa-toggle-off text-secondary'"></i>
                            <input ng-change="" type="checkbox" class="hidden" ng-model="pesViewer.status.autoUpdateEnabled"/>
                            <span class="text text-success" ng-if="pesViewer.status.autoUpdateEnabled">Activée</span>
                            <span ng-if="!pesViewer.status.autoUpdateEnabled">Désactivée</span>
                        </label>
                    </div>
                </section>
                <hr/>

                <section class="child-margin">
                    <h4>Pièces justificatives</h4>
                    <p>Espace disque occupé : {{pesViewer.round(pesViewer.status.diskUsage / 1024 / 1024)}} Mo</p>

                    <p>Jours de conservation : <input type="number" ng-model="pesViewer.status.conservation"/> jours</p>

                    <p>Supprimer les pièces justificatives ayant dépassé le délai des jours de conservation ?
                        <button class="btn btn-danger" ng-disabled="pesViewer.cleaning" ng-click="pesViewer.cleanup()">
                            <i class="fa fa-trash" ng-if="!pesViewer.cleaning"></i>
                            <i class="fa fa-spinner fa-spin" ng-if="pesViewer.cleaning"></i>
                            Supprimer
                        </button>
                    </p>
                    <p class="text-success" ng-if="pesViewer.state.cleaned">
                        <i class="fa fa-check"></i>
                        Suppression terminée
                    </p>
                </section>

            </div>
            <div class="col-md-6" ng-if="!pesViewer.state.updating">
                <section>
                    <h4>Remontée d'erreurs</h4>
                    <div>
                        <p>Autoriser la remontée d'erreurs <strong>*</strong> auprès de Libriciel SCOP ?</p>
                        <div>
                            <button class="btn" ng-click="pesViewer.status.errorRaised = true" ng-class="pesViewer.status.errorRaised ? 'btn-primary' : ''">Oui</button>
                            <button class="btn" ng-click="pesViewer.status.errorRaised = false" ng-class="!pesViewer.status.errorRaised ? 'btn-primary' : ''">Non</button>
                        </div>
                        <br>
                    </div>

                    <strong>*</strong> : La remontée d'information concerne les éléments suivants :
                    <ul>
                        <li>L'IP publique du serveur i-Parapheur (s'il en existe une)</li>
                        <li>Le nom du serveur i-Parapheur</li>
                        <li>Le numéro de version de la visionneuse PESv2</li>
                        <li>L'heure et la date de l'erreur</li>
                    </ul>
                    <p>Ces informations seront utilisées uniquement à des fins d'assistance technique afin de garantir une meilleure réactivité en cas d'erreur rencontrée sur le service.</p>
                    <p>Les données récupérées ne contiennent aucune information personnelle, elles n'identifient que le serveur applicatif.</p>
                </section>

            </div>

        </div>
    </div>
</div>
